Results 1 to 5 of 5

Thread: uic: file generated with too old version

  1. #1
    Join Date
    Jan 2011
    Posts
    8
    Qt products
    Qt4
    Platforms
    Unix/X11 Windows

    Default uic: file generated with too old version

    Hey there,

    I used a windows pc to created a QT project. Now I want to use it on a unix system.

    qmake -project runs just fine.
    qmake doesnt - it says:
    uic: File generated with too old version of QT Designer.
    I'm using the latest version available for windows. 2.0.1 / 4.7.0

    But the unix version is 2.0.1a, QT 4.2.1
    What can I do?
    And thanx in advance.

  2. #2
    Join Date
    Sep 2009
    Location
    UK
    Posts
    2,447
    Thanks
    6
    Thanked 348 Times in 333 Posts
    Qt products
    Qt4
    Platforms
    Windows

    Default Re: uic: file generated with too old version

    Firstly I'd update your unix version of Qt so it matches your Windows version. It'll make things easier for you.

  3. #3
    Join Date
    Jan 2011
    Posts
    8
    Qt products
    Qt4
    Platforms
    Unix/X11 Windows

    Default Re: uic: file generated with too old version

    yeah - I do not have the option of updating the qt version on the unix system.

    and why is it 2.0.1a on the unix system - isnt that more advanced than the windows one?

  4. #4
    Join Date
    Jan 2006
    Location
    Munich, Germany
    Posts
    4,709
    Thanks
    21
    Thanked 418 Times in 411 Posts
    Qt products
    Qt3 Qt4 Qt5 Qt/Embedded
    Platforms
    Unix/X11 Windows

    Default Re: uic: file generated with too old version

    I'm using the latest version available for windows. 2.0.1 / 4.7.0
    This is not the latest version - the latest is 4.7.1.
    and why is it 2.0.1a on the unix system - isnt that more advanced than the windows one?
    I am not suer where you get the 2.0.1a version number from, but that is not the Qt version.
    The Qt versions you posted are 4.7.0 on windows, and 4.2.1 on unix.
    So 4.7.0 > 4.2.1.
    ==========================signature=============== ==================
    S.O.L.I.D principles (use them!):
    https://en.wikipedia.org/wiki/SOLID_...iented_design)

    Do you write clean code? - if you are TDD'ing then maybe, if not, your not writing clean code.

  5. #5
    Join Date
    Sep 2009
    Location
    UK
    Posts
    2,447
    Thanks
    6
    Thanked 348 Times in 333 Posts
    Qt products
    Qt4
    Platforms
    Windows

    Default Re: uic: file generated with too old version

    Quote Originally Posted by dacrawler View Post
    and why is it 2.0.1a on the unix system - isnt that more advanced than the windows one?
    I would doublecheck the version of your Windows QMake, as even in 2009, the version was 2.0.1A.

    Load your ui file into the latest version of QTDesigner and then save them back out again. UIC should then be able to parse them.

Similar Threads

  1. Replies: 2
    Last Post: 28th May 2010, 15:26
  2. resource file name problem in generated code
    By acpRobert in forum Qt Tools
    Replies: 0
    Last Post: 26th April 2009, 02:06
  3. Compile of big generated file in release stuck
    By Equilibrium in forum Qt Programming
    Replies: 4
    Last Post: 31st December 2007, 12:25
  4. help explaining qmake generated make file
    By high_flyer in forum Qt Programming
    Replies: 2
    Last Post: 8th August 2006, 09:54
  5. Replies: 3
    Last Post: 12th January 2006, 17:41

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Digia, Qt and their respective logos are trademarks of Digia Plc in Finland and/or other countries worldwide.